Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2936 - Changing IP address with linuxconf doesn't restart samba services
Summary: Changing IP address with linuxconf doesn't restart samba services
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-20 14:13 UTC by p.adamson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-28 20:16:47 UTC


Attachments (Terms of Use)

Description p.adamson 1999-05-20 14:13:43 UTC
That's it, really.
If you change the IP address with linuxconf, it doesn't
restart nmbd, so the machine still answers nmb queries with
its old IP address.

Comment 1 Michael K. Johnson 1999-05-25 18:33:59 UTC
Added Jacques to CC line

I'm not sure how to correctly resolve this.  Should changing an IP
address automatically restart most network services?  There is not
a well-defined dependency graph for this...

Comment 2 Michael K. Johnson 1999-08-28 20:16:59 UTC
There's no good way to do this.


Note You need to log in before you can comment on or make changes to this bug.